import { UmbControllerEvent } from '../../../libs/controller-api/index.js';
export class UmbEntityActionEvent extends UmbControllerEvent {
    constructor(type, args) {
        super(type);
        this._args = args;
    }
    getEntityType() {
        return this._args.entityType;
    }
    getUnique() {
        return this._args.unique;
    }
    getEventUnique() {
        return this._args.eventUnique;
    }
}
